import request from '@/utils/request'

export function getBreedPage(data) {
  return request({
    url: '/base-breed/page',
    method: 'get',
    params: data
  })
}

export function getBreedList(data) {
  return request({
    url: '/base-breed/list',
    method: 'post',
    data: data
  })
}

export function getBreedById(data) {
  return request({
    url: '/base-breed/listById',
    method: 'post',
    data: data
  })
}

export function addBreed(data) {
  return request({
    url: '/base-breed/add',
    method: 'post',
    data: data
  })
}

export function editBreed(data) {
  return request({
    url: '/base-breed/edit',
    method: 'post',
    data: data
  })
}

export function delBreed(data) {
  return request({
    url: '/base-breed/delete',
    method: 'post',
    data: data
  })
}
